curl --request GET \
--url 'https://api-prod.usefini.com/v2/test-suite/folders/public?botId=00000000-0000-4000-8000-000000000001' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/folders/public?botId=00000000-0000-4000-8000-000000000001", {
method: "GET",
headers: {
Authorization: "Bearer fini_your_api_key",
},
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
response = requests.request(
"GET",
"https://api-prod.usefini.com/v2/test-suite/folders/public?botId=00000000-0000-4000-8000-000000000001",
headers={"Authorization": "Bearer fini_your_api_key"},
)
response.raise_for_status()
result = response.json()
[
{
"id": "00000000-0000-4000-8000-000000000004",
"companyId": "00000000-0000-4000-8000-000000000011",
"botId": "00000000-0000-4000-8000-000000000001",
"name": "Refunds",
"createdAt": "2026-10-12T10:00:00.000Z",
"caseCount": 1,
"groupCount": 1
}
]
Test Suite
List collections
List collections and their effective case and group counts.
GET
/
v2
/
test-suite
/
folders
/
public
curl --request GET \
--url 'https://api-prod.usefini.com/v2/test-suite/folders/public?botId=00000000-0000-4000-8000-000000000001' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/folders/public?botId=00000000-0000-4000-8000-000000000001", {
method: "GET",
headers: {
Authorization: "Bearer fini_your_api_key",
},
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
response = requests.request(
"GET",
"https://api-prod.usefini.com/v2/test-suite/folders/public?botId=00000000-0000-4000-8000-000000000001",
headers={"Authorization": "Bearer fini_your_api_key"},
)
response.raise_for_status()
result = response.json()
[
{
"id": "00000000-0000-4000-8000-000000000004",
"companyId": "00000000-0000-4000-8000-000000000011",
"botId": "00000000-0000-4000-8000-000000000001",
"name": "Refunds",
"createdAt": "2026-10-12T10:00:00.000Z",
"caseCount": 1,
"groupCount": 1
}
]
List collections and their effective case and group counts.
Collections are named
folders in the API. This route is not paginated.
Headers
string
required
Bearer token containing your workspace API key. The key needs
read scope.Query parameters
string
required
Agent UUID. The agent must belong to the workspace.
Response
Returns an array of collections.caseCount deduplicates direct cases and cases included through linked groups.
curl --request GET \
--url 'https://api-prod.usefini.com/v2/test-suite/folders/public?botId=00000000-0000-4000-8000-000000000001' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/folders/public?botId=00000000-0000-4000-8000-000000000001", {
method: "GET",
headers: {
Authorization: "Bearer fini_your_api_key",
},
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
response = requests.request(
"GET",
"https://api-prod.usefini.com/v2/test-suite/folders/public?botId=00000000-0000-4000-8000-000000000001",
headers={"Authorization": "Bearer fini_your_api_key"},
)
response.raise_for_status()
result = response.json()
[
{
"id": "00000000-0000-4000-8000-000000000004",
"companyId": "00000000-0000-4000-8000-000000000011",
"botId": "00000000-0000-4000-8000-000000000001",
"name": "Refunds",
"createdAt": "2026-10-12T10:00:00.000Z",
"caseCount": 1,
"groupCount": 1
}
]
Was this page helpful?

